package com.ssj.service.sys.train.service;

import java.util.List;
import java.util.Map;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.ssj.bean.sys.train.bean.VideoInfo;
import com.ssj.framework.core.common.service.BaseService;


public interface VideoInfoService extends BaseService<VideoInfo, String> {

	public Page<Map<String, Object>> findTrainVideoInfoByPage(Map<String, Object> params, Pageable pageable);
	
	public Page<Map<String, Object>> findMerchantTeaNumByPage(Map<String, Object> params, Pageable pageable);
	
	public List<Map<String, Object>> findTrainVideoUserByRoleType(String userId,Integer roleType,String module);
	
	public VideoInfo getVideoInfoByMax(Integer roleType,String id);
	
	public VideoInfo getVideoInfoByIndes(Integer roleType,Integer indes);
	
	public VideoInfo getVideoInfoByMaxIndes(Integer roleType);
	
}
